{% extends "layout.html" %}

{% block title %}Estado de Cuenta{% endblock %}

{% block mycontent %}

<h1 class="page-header">Estado de Cuenta</h1>

<p>Hola, {{ user.username.upper() }}</p>

<h3 class="sub-header">Balance:$ {{ user.balance}} Arg</h3>

<h2 class="sub-header">Transacciones</h2>

<div class="table-responsive">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>De</th>
                <th>A</th>
                <th>Monto</th>
                <th>Moneda</th>
                </tr>
                </thead>
                <tbody>
        {% for t in transactions %}
        <tr>
            <td>{{ t.user.username.upper() }}</td>
            <td>{{ t.user_to.username.upper() }}</td>
            <td>{{ t.mount }}</td>
            <td>{{ t.moneda.nombre.upper() }}</td>
        </tr>
        {% endfor %}
    </tbody>
</table>


<p>
<a class="btn btn-lg btn-primary"
   href="{{ url_for('transfer_moneyz', username=user.username) }}"
   role="button">
   Transferir
</a>
<a class="btn btn-lg btn-primary"
   href="{{ url_for('crear_money', username=user.username) }}"
   role="button">
   Crear Moneda
</a>
</p>
{% endblock %}
